package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 补卡记录对象 card_replacement_record
 * 
 * @author ruoyi
 * @date 2023-02-08
 */
public class CardReplacementRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 人员id */
    private Long userId;

    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    private String userName;

    /** 当前所属部门id */
    private Long deptId;

    /** 当前所属部门 */
    private String deptName;


    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applicationTime;

    /** 补卡理由 */
    @Excel(name = "补卡理由")
    private String reason;

    /** 审批人员id */
    private Long examinersId;

    /** 审批人员姓名 */
    @Excel(name = "审批人员姓名")
    private String examinersName;

    /** 是否通过 0：未处理，1：不通过，2：通过 */
    @Excel(name = "是否通过 0：未处理，1：不通过，2：通过")
    private String isPass;

    /** 当前所属部门id合集 */
    private List<Long> deptIds;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setApplicationTime(Date applicationTime) 
    {
        this.applicationTime = applicationTime;
    }

    public Date getApplicationTime() 
    {
        return applicationTime;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }
    public void setExaminersId(Long examinersId) 
    {
        this.examinersId = examinersId;
    }

    public Long getExaminersId() 
    {
        return examinersId;
    }
    public void setExaminersName(String examinersName) 
    {
        this.examinersName = examinersName;
    }

    public String getExaminersName() 
    {
        return examinersName;
    }
    public void setIsPass(String isPass) 
    {
        this.isPass = isPass;
    }

    public String getIsPass() 
    {
        return isPass;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public List<Long> getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(List<Long> deptIds) {
        this.deptIds = deptIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("deptId", getDeptId())
            .append("applicationTime", getApplicationTime())
            .append("reason", getReason())
            .append("examinersId", getExaminersId())
            .append("examinersName", getExaminersName())
            .append("isPass", getIsPass())
            .toString();
    }
}
